Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 651446 - dev-util/cccc: uses STRIP_MASK
Summary: dev-util/cccc: uses STRIP_MASK
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2019-05-14
Assignee: Steve Arnold
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: ebuild-prep
  Show dependency tree
 
Reported: 2018-03-25 10:56 UTC by Michał Górny
Modified: 2019-05-30 23:05 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-03-25 10:56:51 UTC
STRIP_MASK is a Portage extension and is not supported by any other package manager. This means that your package is silently BROKEN (mis-stripped) for some of our users.

Please remove its use. If you can't strip everything, please RESTRICT=strip.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-04-14 08:19:00 UTC
This also looks like USE=debug abuse.
Comment 2 Larry the Git Cow gentoo-dev 2019-04-14 08:21:46 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b8a269e2100f789465d1afc8bdf5c494165364d

commit 8b8a269e2100f789465d1afc8bdf5c494165364d
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-04-14 08:21:16 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-04-14 08:21:39 +0000

    package.mask: Last rite dev-util/cccc
    
    Bug: https://bugs.gentoo.org/651446
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 3 Steve Arnold gentoo-dev 2019-05-05 18:18:13 UTC
Sorry about the lag, lost my dev hardware, too much work, yada yada...

Anyway, I think I got my key updates all sorted out, and a cleaned up ebuild to test if that all works.
Comment 4 Larry the Git Cow gentoo-dev 2019-05-05 18:31:54 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef188ada4d7af85d45a874a1a3da2547312280f4

commit ef188ada4d7af85d45a874a1a3da2547312280f4
Author:     Stephen Arnold <nerdboy@gentoo.org>
AuthorDate: 2019-05-05 18:31:30 +0000
Commit:     Stephen Arnold <nerdboy@gentoo.org>
CommitDate: 2019-05-05 18:31:30 +0000

    dev-util/cccc: rev-bump for eapi migration and QA cleanup
    
    * use EAPI 6, filter lto flags, clean up QA issues
    
    Bug: https://bugs.gentoo.org/651446
    Package-Manager: Portage-2.3.64, Repoman-2.3.12
    Signed-off-by: Steve Arnold <nerdboy@gentoo.org>

 .../{cccc-3.1.5.ebuild => cccc-3.1.5-r1.ebuild}    | 32 +++++++++++-----------
 1 file changed, 16 insertions(+), 16 deletions(-)
Comment 5 Larry the Git Cow gentoo-dev 2019-05-15 20:41:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2bf07129a4c300fefe60a91011951a428fad3c2

commit b2bf07129a4c300fefe60a91011951a428fad3c2
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-05-15 20:37:25 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-05-15 20:41:25 +0000

    dev-util/cccc: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/651446
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-util/cccc/Manifest                   |  1 -
 dev-util/cccc/cccc-3.1.5-r1.ebuild       | 70 ----------------------------
 dev-util/cccc/files/cccc-MFC-dialect.opt | 21 ---------
 dev-util/cccc/files/cccc-c_dialect.patch | 79 --------------------------------
 dev-util/cccc/metadata.xml               | 19 --------
 profiles/package.mask                    |  6 ---
 6 files changed, 196 deletions(-)
Comment 6 Larry the Git Cow gentoo-dev 2019-05-30 23:05:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9498391cdfe099fb51b68d5a0f68ef8be7476fb7

commit 9498391cdfe099fb51b68d5a0f68ef8be7476fb7
Author:     Stephen Arnold <nerdboy@gentoo.org>
AuthorDate: 2019-05-30 23:05:07 +0000
Commit:     Stephen Arnold <nerdboy@gentoo.org>
CommitDate: 2019-05-30 23:05:07 +0000

    dev-util/cccc: rev-bump for eapi migration and QA cleanup
    
    * use EAPI 6, filter lto flags, clean up QA issues
      (restore fixed version from the trash)
    
    Bug: https://bugs.gentoo.org/651446
    Package-Manager: Portage-2.3.64, Repoman-2.3.12
    Signed-off-by: Steve Arnold <nerdboy@gentoo.org>

 dev-util/cccc/Manifest                   |  1 +
 dev-util/cccc/cccc-3.1.5-r1.ebuild       | 70 ++++++++++++++++++++++++++++
 dev-util/cccc/files/cccc-MFC-dialect.opt | 21 +++++++++
 dev-util/cccc/files/cccc-c_dialect.patch | 79 ++++++++++++++++++++++++++++++++
 dev-util/cccc/metadata.xml               | 19 ++++++++
 5 files changed, 190 insertions(+)